VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Latest Version Checker"
   ClientHeight    =   2535
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4560
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2535
   ScaleWidth      =   4560
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtSource 
      Appearance      =   0  'Flat
      Height          =   195
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   120
      Visible         =   0   'False
      Width           =   255
   End
   Begin VB.CommandButton cmdCheck 
      Caption         =   "Check for Newer Version!"
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   120
      Width           =   2175
   End
   Begin MSWinsockLib.Winsock Winsock 
      Left            =   0
      Top             =   120
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
      RemotePort      =   80
   End
   Begin VB.Label Label1 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Welcome to MyAppTitle!  Blah blah blah..."
      ForeColor       =   &H80000008&
      Height          =   1815
      Left            =   240
      TabIndex        =   2
      Top             =   600
      Width           =   4215
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'**********************************
'* CODE BY: ZELDA (PATRICK MOORE) *
'* Feel free to re-distribute or  *
'* Use in your own projects.      *
'* Giving credit to me would be   *
'* nice :)   -Patrick             *
'**********************************
'
'PS: Please look for more submissions to PSC by me
'    shortly.  I've recently been working on a lot
'    :))  All my submissions are under author name
'    "Patrick Moore"

'***IMPORTANT***
'Create a TXT file in Notepad with the following line:
'
'VERSION=2.0 [or current version]
'
' ^-- blank line
'Name this file "newversion.txt" and post it on your web
'server.  Then, edit the lines below (in the subs:
'Winsock_Connect and cmdCheck_Click) with that URL.
'***IMPORTANT***


Sub Pause(duration)
'This will pause for the duration [duration is in seconds]
Dim Current As Long
Current = Timer
Do Until Timer - Current >= duration
    DoEvents
Loop
End Sub

Private Sub cmdCheck_Click()
Dim WebHost As String
'You can put in your web host here
'Geocities, Yahoo, Angelfire...all work :)
WebHost = "members.xoom.com"

'Clear the source textbox if it isn't
If txtSource.Text <> "" Then txtSource.Text = ""

'Close the Winsock incase it's already open with
'another server.
Winsock.Close

'Tell Winsock what server we're connecting to and
'which port we're using
Winsock.RemoteHost = WebHost
Winsock.RemotePort = 80

'Connect to the server
Winsock.Connect
End Sub

Private Sub Winsock_Close()
Dim LatestVersion As String

'Let all incoming data finish being received
Pause 0.5

'The server closed the connection, now we need
'to close it on this side.
Winsock.Close: Winsock.Tag = "CLOSED"

'Make the source all uppercase
txtSource.Text = UCase(txtSource.Text)

'Run through the file until we find the line we're looking for
Do
    'Keep trimming the file until we find the VERSION line
    txtSource.Text = Mid(txtSource.Text, InStr(txtSource.Text, vbCrLf) + 2, Len(txtSource.Text))
Loop Until Left(txtSource.Text, 7) = "VERSION" Or InStr(txtSource.Text, vbCrLf) = 0

If Left(txtSource.Text, 7) <> "VERSION" Then
    MsgBox "Invalid file.  No version was specified in this file.", vbCritical + vbOKOnly
    Exit Sub
End If

'Define the latest version
LatestVersion = Mid(txtSource.Text, InStr(txtSource.Text, "=") + 1, Len(txtSource.Text))

'Trim off the CrLf if it exists
If Right(LatestVersion, 2) = vbCrLf Then LatestVersion = Left(LatestVersion, Len(LatestVersion) - 2)

If LatestVersion = MYVERSION Then
    'Notify the user that they're using the most current version
    MsgBox "You are using the most current version of MyAppTitle!", vbExclamation + vbOKOnly
Else
    'Notify the user there's a newer version available
    MsgBox "There is a newer version of MyAppTitle available!  Goto www.myapptitle.com to download it!", vbExclamation + vbOKOnly
End If
End Sub

Private Sub Winsock_Connect()
Dim getString As String, ShortWebSite As String
Winsock.Tag = "OPEN"

'Define the website we'll be getting the HTML
'source of

ShortWebSite = "http://members.xoom.com/zelduhh/newversion.txt"

'This is the command we'll send to the
'web server.  This command is usually sent
'by a browser such as IE or Netscape, and the
'returned data is then compiled into the webpage
'that you see.  Instead, we'll be taking the data
'and storing it in a textbox
getString = "GET " + ShortWebSite + " HTTP/1.0" + vbCrLf
getString = getString + "Accept: */*" + vbCrLf
getString = getString + "Accept: text/html" + vbCrLf
getString = getString + vbCrLf

'Send the command to the server
Winsock.SendData getString
End Sub

Private Sub Winsock_DataArrival(ByVal bytesTotal As Long)
Dim Buffer As String

'Get the incoming data that was sent from the server
If Winsock.Tag = "OPEN" Then Winsock.GetData Buffer

'Add it to the current contents of the HTML Source
'textbox.
txtSource.Text = txtSource.Text & Buffer
End Sub
